Bug 1312279 - Unable to create a new C/C++ project using devAssistant
Unable to create a new C/C++ project using devAssistant
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: devassistant (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-26 05:20 EST by Алексей Смирнов
Modified: 2016-12-20 14:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:02:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Алексей Смирнов 2016-02-26 05:20:07 EST
Description of problem:
When you try to create a c/c++ project creation process hangs.


Version-Release number of selected component (if applicable):
DevAssistant 0.11.2-1.fc23


Steps to Reproduce:
1. open DevAssistant(gui)
2. try to create a c/c++ project

Actual results:
The project is not be created.

Expected results:
The project should be created.

Additional info:
If run a devassistant-gui through the terminal, then it is possible to see something like this:

[debugger94@Home-PC ~]$ devassistant-gui 
/usr/lib/python3.4/site-packages/devassistant/gui/__init__.py:19: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
Exception in thread Thread-1:
Traceback (most recent call last):
  File "/usr/lib64/python3.4/threading.py", line 920, in _bootstrap_inner
    self.run()
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib/python3.4/site-packages/devassistant/gui/run_window.py", line 269, in dev_assistant_start
    self.dev_assistant_runner.run()
  File "/usr/lib/python3.4/site-packages/devassistant/path_runner.py", line 55, in run
    self._run_path_run('', self.parsed_args)
  File "/usr/lib/python3.4/site-packages/devassistant/path_runner.py", line 33, in _run_path_run
    self.path[-1].run(stage, parsed_args)
  File "/usr/lib/python3.4/site-packages/devassistant/yaml_assistant.py", line 30, in inner
    return method(self, *args, **kwargs)
  File "/usr/lib/python3.4/site-packages/devassistant/yaml_assistant.py", line 251, in run
    return lang.run_section(getattr(self, to_run, {}), kwargs, runner=self)
  File "/usr/lib/python3.4/site-packages/devassistant/lang.py", line 145, in run_section
    return eval_exec_section(section, kwargs, runner)
  File "/usr/lib/python3.4/site-packages/devassistant/lang.py", line 167, in eval_exec_section
    retval = run_section(to_run, kwargs, runner=runner)
  File "/usr/lib/python3.4/site-packages/devassistant/lang.py", line 145, in run_section
    return eval_exec_section(section, kwargs, runner)
  File "/usr/lib/python3.4/site-packages/devassistant/lang.py", line 167, in eval_exec_section
    retval = run_section(to_run, kwargs, runner=runner)
  File "/usr/lib/python3.4/site-packages/devassistant/lang.py", line 145, in run_section
    return eval_exec_section(section, kwargs, runner)
  File "/usr/lib/python3.4/site-packages/devassistant/lang.py", line 187, in eval_exec_section
    comm_ret = eval_exec_section(comm, kwargs, runner)
  File "/usr/lib/python3.4/site-packages/devassistant/lang.py", line 153, in eval_exec_section
    return evaluate_expression(section, kwargs)
  File "/usr/lib/python3.4/site-packages/devassistant/lang.py", line 705, in evaluate_expression
    return interpr.parse(expression)
  File "/usr/lib/python3.4/site-packages/devassistant/lang.py", line 545, in parse
    return self.expression()
  File "/usr/lib/python3.4/site-packages/devassistant/lang.py", line 526, in expression
    self.token = self.next()
  File "/usr/lib/python3.4/site-packages/devassistant/lang.py", line 514, in tokenize
    raise SyntaxError("Unknown token: {tok}".format(tok=tok))
  File "<string>", line None
SyntaxError: Unknown token: @
Comment 1 Алексей Смирнов 2016-03-05 18:40:23 EST
After filling in data about github account problem disappeared.
Comment 2 Fedora End Of Life 2016-11-24 10:46:40 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 14:02:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.